Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.lockout
Class LockOutEventDispatcher

    java.lang.Object
      org.jivesoftware.openfire.lockout.LockOutEventDispatcher

    public class LockOutEventDispatcher

extends Object

Dispatches lockout events. The following events are supported:

- accountLocked --> An account has been disabled/locked out.
- accountUnlocked --> An account has been enabled/unlocked.
- lockedAccountDenied --> A locked out account has been denied login.

Use `addListener(LockOutEventListener)` and `removeListener(LockOutEventListener)` to add or remove `LockOutEventListener`.

Author:
  Daniel Henninger

Constructor Summary
`LockOutEventDispatcher()`

Method Summary
`static void` | `accountLocked(LockOutFlag flag)` Notifies the listeners that an account was just set to be disabled/locked out.
`static void` | `accountUnlocked(String username)` Notifies the listeners that an account was just enabled (lockout removed).
`static void` | `addListener(LockOutEventListener listener)` Registers a listener to receive events.
`static void` | `lockedAccountDenied(String username)` Notifies the listeners that a locked out account attempted to log in.
`static void` | `removeListener(LockOutEventListener listener)` Unregisters a listener to receive events.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LockOutEventDispatcher

    public LockOutEventDispatcher()

Method Detail

### addListener

    public static void addListener(LockOutEventListener listener)

  Registers a listener to receive events.

  Parameters:
    `listener` - the listener.

### removeListener

    public static void removeListener(LockOutEventListener listener)

  Unregisters a listener to receive events.

  Parameters:
    `listener` - the listener.

### accountLocked

    public static void accountLocked(LockOutFlag flag)

  Notifies the listeners that an account was just set to be disabled/locked out.

  Parameters:
    `flag` - The LockOutFlag that was set, which includes the username of the account and start/end times.

### accountUnlocked

    public static void accountUnlocked(String username)

  Notifies the listeners that an account was just enabled (lockout removed).

  Parameters:
    `username` - The username of the account that was enabled.

### lockedAccountDenied

    public static void lockedAccountDenied(String username)

  Notifies the listeners that a locked out account attempted to log in.

  Parameters:
    `username` - The username of the account that tried to log in.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.